### Hierarchy

- SiteSelectorService

## Index

### Constructors

- constructor

### Properties

- httpClient
- notificationService

### Methods

- extractDataDropdown
- extractDataFilter
- filterForSites
- getSites
- handleError

## Constructors

### constructor

- new SiteSelectorService(httpClient: HttpClient, notificationService: NotificationService): SiteSelectorService

- - Defined in components/site-selector/site-selector.service.ts:9

  #### Parameters

  - ##### httpClient: HttpClient

  - ##### notificationService: NotificationService

  #### Returns SiteSelectorService

## Properties

### Private httpClient

httpClient: HttpClient

- Defined in components/site-selector/site-selector.service.ts:13

### Private notificationService

notificationService: NotificationService

- Defined in components/site-selector/site-selector.service.ts:14

## Methods

### Private extractDataDropdown

- extractDataDropdown(res: Response): Site[]

- - Defined in components/site-selector/site-selector.service.ts:30

  #### Parameters

  - ##### res: Response

  #### Returns Site[]

### Private extractDataFilter

- extractDataFilter(res: Response): Site[]

- - Defined in components/site-selector/site-selector.service.ts:35

  #### Parameters

  - ##### res: Response

  #### Returns Site[]

### filterForSites

- filterForSites(searchQuery: string): Observable<Site[]>

- - Defined in components/site-selector/site-selector.service.ts:18

  #### Parameters

  - ##### searchQuery: string

  #### Returns Observable<Site[]>

### getSites

- getSites(): Observable<Site[]>

- - Defined in components/site-selector/site-selector.service.ts:24

  #### Returns Observable<Site[]>

### Private handleError

- handleError(error: any): ErrorObservable

- - Defined in components/site-selector/site-selector.service.ts:40

  #### Parameters

  - ##### error: any

  #### Returns ErrorObservable

Generated using TypeDoc